## GstVideoAggregatorPad

GstVideoAggregatorPad

## Properties

gboolean | repeat-after-eos | Read / Write
guint | zorder | Read / Write

## Types and Values

struct | GstVideoAggregatorPad
struct | GstVideoAggregatorPadClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstPad
                    ╰── GstAggregatorPad
                        ╰── GstVideoAggregatorPad

## Includes

    #include <gst/video/video.h>

## Description

## Functions

## Types and Values

### struct GstVideoAggregatorPad

    struct GstVideoAggregatorPad {
      /* read-only, with OBJECT_LOCK */
      GstVideoInfo                  info;
    };

#### Members

GstVideoInfo `info`; | The GstVideoInfo currently set on the pad |

Since: 1.16

### struct GstVideoAggregatorPadClass

    struct GstVideoAggregatorPadClass {
      GstAggregatorPadClass parent_class;
      void               (*update_conversion_info) (GstVideoAggregatorPad * pad);

      gboolean           (*prepare_frame)          (GstVideoAggregatorPad * pad,
                                                    GstVideoAggregator    * videoaggregator,
                                                    GstBuffer             * buffer,
                                                    GstVideoFrame         * prepared_frame);

      void               (*clean_frame)            (GstVideoAggregatorPad * pad,
                                                    GstVideoAggregator    * videoaggregator,
                                                    GstVideoFrame         * prepared_frame);

      gpointer          _gst_reserved[GST_PADDING_LARGE];
    };

#### Members

`update_conversion_info` () | Called when either the input or output formats have changed. |
`prepare_frame` () | Prepare the frame from the pad buffer and sets it to prepared_frame |
`clean_frame` () | clean the frame previously prepared in prepare_frame |
gpointer `_gst_reserved`[GST_PADDING_LARGE]; |  |

Since: 1.16

## Property Details

### The `“repeat-after-eos”` property

      “repeat-after-eos”         gboolean

Repeat the last frame after EOS until all pads are EOS.

Flags: Read / Write

Default value: FALSE

### The `“zorder”` property

      “zorder”                   guint

Z Order of the picture.

Flags: Read / Write

Default value: 0